i also having the same problem.
i just install a fresh copy of ubuntu, and tried to install the VMware server, but i've got same messages as my previous friends...

how do i downgrade to version...